package org.yacos.core.article;

import java.util.List;
import javax.ejb.Remote;
import javax.persistence.EntityManager;

@Remote
public interface IArticleManager {
	public Article getArticle(Integer id);
	public Article addArticle(Article a);
	public void removeArticle(Article a);
	public void updateArticle(Article article);
	public List<Article> getArticles();
	
	
	public List<?> getArticlePCMembers(Article article);
	public List<?> getArticleReferees(Article article);
	public Preference getArticlePreferenceForUser(Integer article_id, String pcMemberLogin);
	public void setArticlePreferences(Article article, List<Preference> preferences);
	public void addArticlePreference(Integer article_id, String userLogin, String preferenceValue);
	public void addOrUpdatePreference(Integer article_id, String userLogin, String preferenceValue);
	public boolean existsArticle(Article article);
	public boolean existsPreference(Preference preference);
	
		
}
